List pipeline versions
curl --request GET \
--url https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions \
--header 'apiKey: <api-key>'import requests
url = "https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://web-api.clerk.chat/public/pipelines/{pipelineId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"number": 1,
"pipelineId": "00000000-0000-0000-0000-000000000000",
"schema": {},
"isLatestLive": true,
"name": "My Version",
"pipelineOptions": {},
"versionId": "00000000-0000-0000-0000-000000000000",
"versionNumber": 1,
"versionName": "My Version",
"madeLiveAt": "2021-01-01T00:00:00.000Z"
}
],
"total": 1,
"links": {
"next": "<string>",
"prev": "<string>",
"self": "<string>"
}
}Pipelines
List pipeline versions
List all versions for a pipeline
GET
/
public
/
pipelines
/
{pipelineId}
/
versions
List pipeline versions
Authorizations
Path Parameters
The ID of the pipeline
⌘I